import request from '@/utils/request'

// 查询产品京东配置列表
export function listProductJdConfig(query) {
  return request({
    url: '/jarvis/productJdConfig/list',
    method: 'get',
    params: query
  })
}

// 查询产品京东配置详细
export function getProductJdConfig(productModel) {
  return request({
    url: '/jarvis/productJdConfig/' + productModel,
    method: 'get'
  })
}

// 新增产品京东配置
export function addProductJdConfig(data) {
  return request({
    url: '/jarvis/productJdConfig',
    method: 'post',
    data: data
  })
}

// 修改产品京东配置
export function updateProductJdConfig(data) {
  return request({
    url: '/jarvis/productJdConfig',
    method: 'put',
    data: data
  })
}

// 删除产品京东配置
export function delProductJdConfig(productModels) {
  return request({
    url: '/jarvis/productJdConfig/' + productModels,
    method: 'delete'
  })
}

// 初始化默认数据
export function initDefaultData() {
  return request({
    url: '/jarvis/productJdConfig/initData',
    method: 'post'
  })
}

